Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.parameters
Class ParameterSet.ParameterList

    java.lang.Object
      de.jstacs.AnnotatedEntityList<Parameter>
          de.jstacs.parameters.ParameterSet.ParameterList

Enclosing class:
  ParameterSet

    protected class ParameterSet.ParameterList

extends AnnotatedEntityList<Parameter>

Class for a `AnnotatedEntityList` that automatically sets the `Parameter.parent` field to the enclosing `ParameterSet`.

Author:
  Jan Grau

Constructor Summary
`ParameterSet.ParameterList()`
`ParameterSet.ParameterList(int initialCapacity)`

Method Summary
`void` | `add(int idx, Parameter p)` Adds the `AnnotatedEntity` `entity` at index `idx` to the list.
`void` | `add(Parameter... p)` Adds all `AnnotatedEntity`s in `entities` to the list.
`void` | `set(int idx, Parameter p)` Replaces the `AnnotatedEntity` at index `idx` with the `AnnotatedEntity` `entity/code>`

Methods inherited from class de.jstacs.AnnotatedEntityList
`addAll, get, get, getNames, remove, size, toArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterSet.ParameterList

    public ParameterSet.ParameterList()

### ParameterSet.ParameterList

    public ParameterSet.ParameterList(int initialCapacity)

Parameters:
  `initialCapacity` - the initial capacity of the `ParameterSet.ParameterList`

Method Detail

### set

    public void set(int idx,
                    Parameter p)

  Description copied from class: `AnnotatedEntityList`
  Replaces the `AnnotatedEntity` at index `idx` with the `AnnotatedEntity` `entity/code>

  `
  Overrides:
    `set` in class `AnnotatedEntityList<Parameter>`
  Parameters:
    `idx` - the index
    `p` - the new `AnnotatedEntity` at index `idx`

### add

    public void add(int idx,
                    Parameter p)

  Description copied from class: `AnnotatedEntityList`
  Adds the `AnnotatedEntity` `entity` at index `idx` to the list. If `entities` contains `AnnotatedEntity`s with duplicate names, or an `AnnotatedEntity` with identical name already exists in the list, an `IllegalArgumentException` is thrown.

  Overrides:
    `add` in class `AnnotatedEntityList<Parameter>`
  Parameters:
    `idx` - the index
    `p` - the added `AnnotatedEntity`
  See Also:
    `List.add(int, Object)`

### add

    public void add(Parameter... p)

  Description copied from class: `AnnotatedEntityList`
  Adds all `AnnotatedEntity`s in `entities` to the list. If `entities` contains `AnnotatedEntity`s with duplicate names, or an `AnnotatedEntity` with identical name already exists in the list, an `IllegalArgumentException` is thrown.

  Overrides:
    `add` in class `AnnotatedEntityList<Parameter>`
  Parameters:
    `p` - the added `AnnotatedEntity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD